オンライン中  

/v1/partner/

GET

/v1/partner/get_bulk_availability_template

#
Get the CSV columns and example row for bulk venue availability imports.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/partner/get_bulk_availability_template' \
  --data-urlencode 'key={{API_KEY}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$partner_get_bulk_availability_template_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.columnsarray はい
$.oneOf[0].allOf[1].Payload.columns[]string いいえ
$.oneOf[0].allOf[1].Payload.examplestring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_bulk_availability_template",
    "RequestUserAlias": "example-user",
    "Payload": {
        "columns": [
            "inventory type",
            "date",
            "time/start hour",
            "quantity",
            "price",
            "currency",
            "guest first name",
            "guest last name",
            "contact email",
            "contact phone",
            "category-field JSON",
            "linked post ID"
        ],
        "example": "inventory type,date,time/start hour,quantity,price,currency,guest first name,guest last name,contact email,contact phone,category-field JSON,linked post ID\nSynthetic Dinner Table,2030-07-14,19:00,2,125,USD,Synthetic,Guest,guest@example.com,+1 202 555 0100,\"[]\","
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/partner/get_inventory

#
Get location-specific inventory types and linked community posts for a managed venue.

パラメーター

名前型必須既定値説明
locationID int はい — Location ID to inspect.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/partner/get_inventory' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$partner_get_inventory_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.InventoryTypesarray はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[]object いいえ
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Namestring はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Descriptionstring はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].AllowListingsDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].AllowListings.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].AllowListings.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludeGroupNameInLabelTextDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludeGroupNameInLabelText.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludeGroupNameInLabelText.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescription はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescription.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescription.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescriptionHeadline はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescriptionHeadline.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescriptionHeadline.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].PriceIncludesServiceDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].PriceIncludesService.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].PriceIncludesService.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsFallbackOnlyDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsFallbackOnly.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsFallbackOnly.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupNameComp はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupNameComp.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupNameComp.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocationCategory_ShareableWithResourceDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocationCategory_ShareableWithResource.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocationCategory_ShareableWithResource.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyPricenumber はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].DefaultBidAmountnumber はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].DefaultOfferAmountnumber はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsClaimedboolean はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].RawNamestring はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupEntryCountinteger はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupNamestring はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ClaimURLstring はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATLocationInventoryType_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATLocationInventoryType_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATLocationInventoryType_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATDiscussionPosts_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATDiscussionPosts_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATDiscussionPosts_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].PostTitle はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].PostTitle.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].PostTitle.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].URLSlug = "" はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].DefaultBidAmountCentsinteger はい
$.oneOf[0].allOf[1].Payload.InventoryTypes[].DefaultOfferAmountCentsinteger はい
$.oneOf[0].allOf[1].Payload.PostLinksarray はい
$.oneOf[0].allOf[1].Payload.PostLinks[]object いいえ
$.oneOf[0].allOf[1].Payload.PostLinks[].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.PostLinks[].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.PostLinks[].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.PostLinks[].ATLocationInventoryType_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.PostLinks[].ATLocationInventoryType_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.PostLinks[].ATLocationInventoryType_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.PostLinks[].ATDiscussionPosts_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.PostLinks[].ATDiscussionPosts_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.PostLinks[].ATDiscussionPosts_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.PostLinks[].PostTitle はい
$.oneOf[0].allOf[1].Payload.PostLinks[].PostTitle.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.PostLinks[].PostTitle.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.PostLinks[].URLSlug = "" はい
$.oneOf[0].allOf[1].Payload.Schemaobject はい
$.oneOf[0].allOf[1].Payload.Schema.readyboolean はい
$.oneOf[0].allOf[1].Payload.Schema.missingTablesarray はい
$.oneOf[0].allOf[1].Payload.Schema.missingTables[]string いいえ
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_inventory",
    "RequestUserAlias": "example-user",
    "Payload": {
        "InventoryTypes": [],
        "PostLinks": [],
        "Schema": {
            "ready": false,
            "missingTables": []
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/partner/get_listing_regulation_policy

#
Get the venue listing-regulation override policy for a managed venue.

パラメーター

名前型必須既定値説明
locationID int はい — Location ID to inspect.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/partner/get_listing_regulation_policy' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$partner_get_listing_regulation_policy_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.policystring ["None","AllowAnyone","CurrentOwnerResellOnly"] はい
$.oneOf[0].allOf[1].Payload.defaultPolicy = "CurrentOwnerResellOnly" はい
$.oneOf[0].allOf[1].Payload.canEditboolean はい
$.oneOf[0].allOf[1].Payload.schemaobject はい
$.oneOf[0].allOf[1].Payload.schema.readyboolean はい
$.oneOf[0].allOf[1].Payload.schema.missingColumnsarray はい
$.oneOf[0].allOf[1].Payload.schema.missingColumns[]string いいえ
$.oneOf[0].allOf[1].Payload.optionsarray はい
$.oneOf[0].allOf[1].Payload.options[]object いいえ
$.oneOf[0].allOf[1].Payload.options[].valuestring ["AllowAnyone","CurrentOwnerResellOnly"] はい
$.oneOf[0].allOf[1].Payload.options[].labelstring はい
$.oneOf[0].allOf[1].Payload.restrictedByRegulationboolean はい
$.oneOf[0].allOf[1].Payload.blockingRegulation はい
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[0].namestring はい
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[0].effectiveDateStartstring はい
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[1]null はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_listing_regulation_policy",
    "RequestUserAlias": "example-user",
    "Payload": {
        "policy": "None",
        "defaultPolicy": "CurrentOwnerResellOnly",
        "canEdit": false,
        "schema": {
            "ready": false,
            "missingColumns": []
        },
        "options": [],
        "restrictedByRegulation": false,
        "blockingRegulation": {
            "name": "synthetic-example",
            "effectiveDateStart": "synthetic-example",
            "id": 0
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/partner/get_location_claim_options

#
Search venues that can be selected for a partner management claim.

パラメーター

名前型必須既定値説明
q string いいえ "" Search query.
pageSize int いいえ 15 Maximum options to return.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/partner/get_location_claim_options' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'q={{q}}' \
  --data-urlencode 'pageSize={{pageSize}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$partner_get_location_claim_options_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.querystring はい
$.oneOf[0].allOf[1].Payload.optionsarray はい
$.oneOf[0].allOf[1].Payload.options[]object いいえ
$.oneOf[0].allOf[1].Payload.options[].valuestring はい
$.oneOf[0].allOf[1].Payload.options[].labelstring はい
$.oneOf[0].allOf[1].Payload.options[].subtitlestring はい
$.oneOf[0].allOf[1].Payload.options[].keywordsstring はい
$.oneOf[0].allOf[1].Payload.options[].aliasstring はい
$.oneOf[0].allOf[1].Payload.options[].citystring はい
$.oneOf[0].allOf[1].Payload.options[].countryShortstring はい
$.oneOf[0].allOf[1].Payload.options[].categoryNamestring はい
$.oneOf[0].allOf[1].Payload.options[].managementURLstring はい
$.oneOf[0].allOf[1].Payload.options[].profileURLstring はい
$.oneOf[0].allOf[1].Payload.options[].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.options[].canManageboolean はい
$.oneOf[0].allOf[1].Payload.options[].canRequestClaimboolean はい
$.oneOf[0].allOf[1].Payload.options[].pendingRequest はい
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[0].chatURLstring はい
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[0].requestIDinteger はい
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[0].chatIDinteger はい
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.schemaobject はい
$.oneOf[0].allOf[1].Payload.schema.readyboolean はい
$.oneOf[0].allOf[1].Payload.schema.missingTablesarray はい
$.oneOf[0].allOf[1].Payload.schema.missingTables[]string いいえ
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_claim_options",
    "RequestUserAlias": "example-user",
    "Payload": {
        "query": "synthetic-example",
        "options": [],
        "schema": {
            "ready": false,
            "missingTables": []
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/partner/get_location_dashboard

#
Get overview demand, listing, sales, and conversion signals for a managed venue.

パラメーター

名前型必須既定値説明
locationID int はい — Location ID to inspect.
overviewRange string いいえ "30d" Timeframe key: 1d, 7d, 30d, or custom.
overviewFrom string いいえ "" Custom range start date when overviewRange is custom.
overviewTo string いいえ "" Custom range end date when overviewRange is custom.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/partner/get_location_dashboard' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}' \
  --data-urlencode 'overviewRange={{overviewRange}}' \
  --data-urlencode 'overviewFrom={{overviewFrom}}' \
  --data-urlencode 'overviewTo={{overviewTo}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$partner_get_location_dashboard_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.Dashboardobject はい
$.oneOf[0].allOf[1].Payload.Dashboard.summaryobject はい
$.oneOf[0].allOf[1].Payload.Dashboard.summary.ViewsDatabaseNumber いいえNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views.oneOf[0]number いいえ
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views.oneOf[1]string いいえ
$.oneOf[0].allOf[1].Payload.Dashboard.summary.BidsDatabaseNumber いいえNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids.oneOf[0]number いいえ
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids.oneOf[1]string いいえ
$.oneOf[0].allOf[1].Payload.Dashboard.summary.ActiveListingsDatabaseNumber いいえNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.ActiveListings.oneOf[0]number いいえ
$.oneOf[0].allOf[1].Payload.Dashboard.summary.ActiveListings.oneOf[1]string いいえ
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSalesDatabaseNumber いいえNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales.oneOf[0]number いいえ
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales.oneOf[1]string いいえ
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolumeDatabaseNumber いいえNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume.oneOf[0]number いいえ
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume.oneOf[1]string いいえ
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views30DayDatabaseNumber はいNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views30Day.oneOf[0]number はい
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views30Day.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids30DayDatabaseNumber はいNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids30Day.oneOf[0]number はい
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids30Day.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales90DayDatabaseNumber はいNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales90Day.oneOf[0]number はい
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales90Day.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume90DayDatabaseNumber はいNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume90Day.oneOf[0]number はい
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume90Day.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Dashboard.trendarray はい
$.oneOf[0].allOf[1].Payload.Dashboard.trend[]object いいえ
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Date はい
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Date.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Date.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].ViewsDatabaseNumber はいNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Views.oneOf[0]number はい
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Views.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].SalesDatabaseNumber はいNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Sales.oneOf[0]number はい
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Sales.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].GrossVolumeDatabaseNumber はいNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].GrossVolume.oneOf[0]number はい
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].GrossVolume.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypesarray はい
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[]object いいえ
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].Namestring はい
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ListingCountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ListingCount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ListingCount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].SalesCountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].SalesCount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].SalesCount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].GrossVolumeDatabaseNumber はいNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].GrossVolume.oneOf[0]number はい
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].GrossVolume.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormattedobject はい
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.viewsstring はい
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.bidsstring はい
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.activeListingsstring はい
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.completedSalesstring はい
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.grossVolumestring はい
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.conversionstring はい
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.views30Daystring はい
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.bids30Daystring はい
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.completedSales90Daystring はい
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.grossVolume90Daystring はい
$.oneOf[0].allOf[1].Payload.Dashboard.timeframeobject はい
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.keystring ["1d","7d","30d","custom"] はい
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.fromDatestring はい
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.toDatestring はい
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.daysinteger はい
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.labelstring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_dashboard",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Dashboard": {
            "summary": {
                "Views30Day": 0,
                "Bids30Day": 0,
                "CompletedSales90Day": 0,
                "GrossVolume90Day": 0
            },
            "trend": [],
            "topInventoryTypes": [],
            "summaryFormatted": {
                "views": "synthetic-example",
                "bids": "synthetic-example",
                "activeListings": "synthetic-example",
                "completedSales": "synthetic-example",
                "grossVolume": "synthetic-example",
                "conversion": "synthetic-example",
                "views30Day": "synthetic-example",
                "bids30Day": "synthetic-example",
                "completedSales90Day": "synthetic-example",
                "grossVolume90Day": "synthetic-example"
            },
            "timeframe": {
                "key": "1d",
                "fromDate": "synthetic-example",
                "toDate": "synthetic-example",
                "days": 0,
                "label": "synthetic-example"
            }
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/partner/get_location_inventory_forecast

#
Get a managed venue's inventory forecast using the same market-insight engine as the seller forecast, without public API pricing.

パラメーター

名前型必須既定値説明
locationID int いいえ 0 Target location ID.
locationAlias string いいえ "" Optional target location alias when locationID is not supplied.
dateRange string いいえ "30d" One of 30d, 60d, 90d, custom.
startDate string いいえ "" Custom range start date when dateRange=custom, YYYY-MM-DD.
endDate string いいえ "" Custom range end date when dateRange=custom, YYYY-MM-DD.
sourceLocationIDs string いいえ "" Optional comma-separated similar restaurant location IDs. If empty, saved similar restaurants are used.
sourceLocationAliases string いいえ "" Optional comma-separated similar restaurant aliases.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/partner/get_location_inventory_forecast' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}' \
  --data-urlencode 'locationAlias={{locationAlias}}' \
  --data-urlencode 'dateRange={{dateRange}}' \
  --data-urlencode 'startDate={{startDate}}' \
  --data-urlencode 'endDate={{endDate}}' \
  --data-urlencode 'sourceLocationIDs={{sourceLocationIDs}}' \
  --data-urlencode 'sourceLocationAliases={{sourceLocationAliases}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$partner_get_location_inventory_forecast_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.locationIDinteger はい
$.oneOf[0].allOf[1].Payload.sourceLocationIDsarray はい
$.oneOf[0].allOf[1].Payload.sourceLocationIDs[]integer いいえ
$.oneOf[0].allOf[1].Payload.forecastobject はい
$.oneOf[0].allOf[1].Payload.forecast.location はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].locationAliasstring はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].locationNamestring はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].marketLinestring はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].categoryNamestring はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].categoryID はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].categoryID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].categoryID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocationsarray はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocations[]object いいえ
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocations[].locationAliasstring はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocations[].locationNamestring はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocations[].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceModestring ["likeness","direct"] はい
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[1]array はい
$.oneOf[0].allOf[1].Payload.forecast.timeframeobject はい
$.oneOf[0].allOf[1].Payload.forecast.timeframe.keystring ["30d","60d","90d","custom"] はい
$.oneOf[0].allOf[1].Payload.forecast.timeframe.daysinteger はい
$.oneOf[0].allOf[1].Payload.forecast.timeframe.fromstring はい
$.oneOf[0].allOf[1].Payload.forecast.timeframe.tostring はい
$.oneOf[0].allOf[1].Payload.forecast.timeframe.fromDatestring はい
$.oneOf[0].allOf[1].Payload.forecast.timeframe.toDatestring はい
$.oneOf[0].allOf[1].Payload.forecast.timeframe.labelstring はい
$.oneOf[0].allOf[1].Payload.forecast.summary はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].rowCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].opportunityRowCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].sourceLocationCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessmentobject はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.labelstring はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.averagePriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.confidenceLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.recommendedListingCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.activeListingCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.neededListingCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.averagePriceCentsinteger はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.recentViewCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.showByDefaultboolean はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.statusstring ["room_for_supply","good_supply","oversupply","no_estimation"] はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.tonestring ["neutral","positive","warning"] はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.confidencestring ["high","medium","developing"] はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.reasonCodesarray はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.reasonCodes[]string ["history","likeness","events","current_demand","popularity","supply","views"] いいえ
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.reasonLabelsarray はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.reasonLabels[]string いいえ
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceFormattedstring はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceConfidenceLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceBasisLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceCentsinteger はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.isEstimatedPriceboolean はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceConfidencestring ["high","medium","low","none"] はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] はい
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.comparableSaleCountinteger いいえ
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.isExactInventoryComparableboolean いいえ
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.relatedPriceLocationIDinteger いいえ
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.relatedPriceLocationNamestring いいえ
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[1]array はい
$.oneOf[0].allOf[1].Payload.forecast.rowsarray はい
$.oneOf[0].allOf[1].Payload.forecast.rows[]object いいえ
$.oneOf[0].allOf[1].Payload.forecast.rows[].inventoryTypeNamestring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].datestring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].dateLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].dateWithDayLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].timeframeLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].averagePriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].suggestedPriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].confidenceLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].directAveragePriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].inventoryTypeIDinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].demandSignalCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].directDemandSignalCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].historyYearCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].activeListingCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].sellerCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].recommendedListingCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].neededListingCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].averagePriceCentsinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].suggestedPriceCentsinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].popularityTierinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].directAveragePriceCentsinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].isLikenessBasedboolean はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].requiresInventoryMappingboolean はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].startHour はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].startHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].startHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].confidencestring ["high","medium","developing"] はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].evidenceReasonCodesarray はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].evidenceReasonCodes[]string ["history","likeness","supply","popularity"] いいえ
$.oneOf[0].allOf[1].Payload.forecast.rows[].evidenceLabelsarray はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].evidenceLabels[]string いいえ
$.oneOf[0].allOf[1].Payload.forecast.rows[].sourceModestring ["direct","likeness","direct+likeness"] はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].sourceLocationIDsarray はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].sourceLocationIDs[]integer いいえ
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessmentobject はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.labelstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.averagePriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.confidenceLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.recommendedListingCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.activeListingCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.neededListingCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.averagePriceCentsinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.recentViewCountinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.showByDefaultboolean はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.statusstring ["room_for_supply","good_supply","oversupply","no_estimation"] はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.tonestring ["neutral","positive","warning"] はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.confidencestring ["high","medium","developing"] はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.reasonCodesarray はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.reasonCodes[]string ["history","likeness","events","current_demand","popularity","supply","views"] いいえ
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.reasonLabelsarray はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.reasonLabels[]string いいえ
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceFormattedstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceConfidenceLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceBasisLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceCentsinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.isEstimatedPriceboolean はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceConfidencestring ["high","medium","low","none"] はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.comparableSaleCountinteger いいえ
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.isExactInventoryComparableboolean いいえ
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.relatedPriceLocationIDinteger いいえ
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.relatedPriceLocationNamestring いいえ
$.oneOf[0].allOf[1].Payload.forecast.rows[].competitionobject はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.countinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listingsarray はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[]object いいえ
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingIDstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingURLstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].locationAliasstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].inventoryTypeNamestring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingDatestring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingTimeLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingDateTimeLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].askingPriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].inventoryTypeIDinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].askingPriceCentsinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingViewsOneDayinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingViewsAllTimeinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingPopularityScoreBracketinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].isRequestingUserListingboolean はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingStartHour はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingStartHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingStartHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceFormattedstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceConfidenceLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceBasisLabelstring はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceCentsinteger はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].isEstimatedPriceboolean はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceConfidencestring ["high","medium","low","none"] はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] はい
$.oneOf[0].allOf[1].Payload.forecast.rows[].comparableSaleCountinteger いいえ
$.oneOf[0].allOf[1].Payload.forecast.rows[].isExactInventoryComparableboolean いいえ
$.oneOf[0].allOf[1].Payload.forecast.sourceLocationIDsarray はい
$.oneOf[0].allOf[1].Payload.forecast.sourceLocationIDs[]integer いいえ
$.oneOf[0].allOf[1].Payload.location はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0].locationAliasstring はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0].locationNamestring はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0].marketLinestring はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0].categoryNamestring はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0].categoryID はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0].categoryID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0].categoryID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocationsarray はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocations[]object いいえ
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocations[].locationAliasstring はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocations[].locationNamestring はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocations[].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceModestring ["likeness","direct"] はい
$.oneOf[0].allOf[1].Payload.location.anyOf[1]array はい
$.oneOf[0].allOf[1].Payload.timeframeobject はい
$.oneOf[0].allOf[1].Payload.timeframe.keystring ["30d","60d","90d","custom"] はい
$.oneOf[0].allOf[1].Payload.timeframe.daysinteger はい
$.oneOf[0].allOf[1].Payload.timeframe.fromstring はい
$.oneOf[0].allOf[1].Payload.timeframe.tostring はい
$.oneOf[0].allOf[1].Payload.timeframe.fromDatestring はい
$.oneOf[0].allOf[1].Payload.timeframe.toDatestring はい
$.oneOf[0].allOf[1].Payload.timeframe.labelstring はい
$.oneOf[0].allOf[1].Payload.summary はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].rowCountinteger はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].opportunityRowCountinteger はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].sourceLocationCountinteger はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessmentobject はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.labelstring はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.averagePriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.confidenceLabelstring はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.recommendedListingCountinteger はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.activeListingCountinteger はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.neededListingCountinteger はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.averagePriceCentsinteger はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.recentViewCountinteger はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.showByDefaultboolean はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.statusstring ["room_for_supply","good_supply","oversupply","no_estimation"] はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.tonestring ["neutral","positive","warning"] はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.confidencestring ["high","medium","developing"] はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.reasonCodesarray はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.reasonCodes[]string ["history","likeness","events","current_demand","popularity","supply","views"] いいえ
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.reasonLabelsarray はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.reasonLabels[]string いいえ
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceFormattedstring はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceConfidenceLabelstring はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceBasisLabelstring はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceCentsinteger はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.isEstimatedPriceboolean はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceConfidencestring ["high","medium","low","none"] はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] はい
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.comparableSaleCountinteger いいえ
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.isExactInventoryComparableboolean いいえ
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.relatedPriceLocationIDinteger いいえ
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.relatedPriceLocationNamestring いいえ
$.oneOf[0].allOf[1].Payload.summary.anyOf[1]array はい
$.oneOf[0].allOf[1].Payload.rowsarray はい
$.oneOf[0].allOf[1].Payload.rows[]object いいえ
$.oneOf[0].allOf[1].Payload.rows[].inventoryTypeNamestring はい
$.oneOf[0].allOf[1].Payload.rows[].datestring はい
$.oneOf[0].allOf[1].Payload.rows[].dateLabelstring はい
$.oneOf[0].allOf[1].Payload.rows[].dateWithDayLabelstring はい
$.oneOf[0].allOf[1].Payload.rows[].timeframeLabelstring はい
$.oneOf[0].allOf[1].Payload.rows[].averagePriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.rows[].suggestedPriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.rows[].confidenceLabelstring はい
$.oneOf[0].allOf[1].Payload.rows[].directAveragePriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.rows[].inventoryTypeIDinteger はい
$.oneOf[0].allOf[1].Payload.rows[].demandSignalCountinteger はい
$.oneOf[0].allOf[1].Payload.rows[].directDemandSignalCountinteger はい
$.oneOf[0].allOf[1].Payload.rows[].historyYearCountinteger はい
$.oneOf[0].allOf[1].Payload.rows[].activeListingCountinteger はい
$.oneOf[0].allOf[1].Payload.rows[].sellerCountinteger はい
$.oneOf[0].allOf[1].Payload.rows[].recommendedListingCountinteger はい
$.oneOf[0].allOf[1].Payload.rows[].neededListingCountinteger はい
$.oneOf[0].allOf[1].Payload.rows[].averagePriceCentsinteger はい
$.oneOf[0].allOf[1].Payload.rows[].suggestedPriceCentsinteger はい
$.oneOf[0].allOf[1].Payload.rows[].popularityTierinteger はい
$.oneOf[0].allOf[1].Payload.rows[].directAveragePriceCentsinteger はい
$.oneOf[0].allOf[1].Payload.rows[].isLikenessBasedboolean はい
$.oneOf[0].allOf[1].Payload.rows[].requiresInventoryMappingboolean はい
$.oneOf[0].allOf[1].Payload.rows[].startHour はい
$.oneOf[0].allOf[1].Payload.rows[].startHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.rows[].startHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.rows[].confidencestring ["high","medium","developing"] はい
$.oneOf[0].allOf[1].Payload.rows[].evidenceReasonCodesarray はい
$.oneOf[0].allOf[1].Payload.rows[].evidenceReasonCodes[]string ["history","likeness","supply","popularity"] いいえ
$.oneOf[0].allOf[1].Payload.rows[].evidenceLabelsarray はい
$.oneOf[0].allOf[1].Payload.rows[].evidenceLabels[]string いいえ
$.oneOf[0].allOf[1].Payload.rows[].sourceModestring ["direct","likeness","direct+likeness"] はい
$.oneOf[0].allOf[1].Payload.rows[].sourceLocationIDsarray はい
$.oneOf[0].allOf[1].Payload.rows[].sourceLocationIDs[]integer いいえ
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessmentobject はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.labelstring はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.averagePriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.confidenceLabelstring はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.recommendedListingCountinteger はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.activeListingCountinteger はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.neededListingCountinteger はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.averagePriceCentsinteger はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.recentViewCountinteger はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.showByDefaultboolean はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.statusstring ["room_for_supply","good_supply","oversupply","no_estimation"] はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.tonestring ["neutral","positive","warning"] はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.confidencestring ["high","medium","developing"] はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.reasonCodesarray はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.reasonCodes[]string ["history","likeness","events","current_demand","popularity","supply","views"] いいえ
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.reasonLabelsarray はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.reasonLabels[]string いいえ
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceFormattedstring はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceConfidenceLabelstring はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceBasisLabelstring はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceCentsinteger はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.isEstimatedPriceboolean はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceConfidencestring ["high","medium","low","none"] はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] はい
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.comparableSaleCountinteger いいえ
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.isExactInventoryComparableboolean いいえ
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.relatedPriceLocationIDinteger いいえ
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.relatedPriceLocationNamestring いいえ
$.oneOf[0].allOf[1].Payload.rows[].competitionobject はい
$.oneOf[0].allOf[1].Payload.rows[].competition.countinteger はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listingsarray はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[]object いいえ
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingIDstring はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingURLstring はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].locationAliasstring はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].inventoryTypeNamestring はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingDatestring はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingTimeLabelstring はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingDateTimeLabelstring はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].askingPriceFormattedstring はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].inventoryTypeIDinteger はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].askingPriceCentsinteger はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingViewsOneDayinteger はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingViewsAllTimeinteger はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingPopularityScoreBracketinteger はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].isRequestingUserListingboolean はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingStartHour はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingStartHour.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingStartHour.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.rows[].priceFormattedstring はい
$.oneOf[0].allOf[1].Payload.rows[].priceConfidenceLabelstring はい
$.oneOf[0].allOf[1].Payload.rows[].priceBasisLabelstring はい
$.oneOf[0].allOf[1].Payload.rows[].priceCentsinteger はい
$.oneOf[0].allOf[1].Payload.rows[].isEstimatedPriceboolean はい
$.oneOf[0].allOf[1].Payload.rows[].priceConfidencestring ["high","medium","low","none"] はい
$.oneOf[0].allOf[1].Payload.rows[].priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] はい
$.oneOf[0].allOf[1].Payload.rows[].comparableSaleCountinteger いいえ
$.oneOf[0].allOf[1].Payload.rows[].isExactInventoryComparableboolean いいえ
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_inventory_forecast",
    "RequestUserAlias": "example-user",
    "Payload": {
        "locationID": 0,
        "sourceLocationIDs": [],
        "forecast": {
            "location": {
                "locationAlias": "synthetic-example",
                "locationName": "synthetic-example",
                "marketLine": "synthetic-example",
                "categoryName": "synthetic-example",
                "locationID": 0,
                "categoryID": 0,
                "sourceLocations": [],
                "sourceMode": "likeness"
            },
            "timeframe": {
                "key": "30d",
                "days": 1,
                "from": "synthetic-example",
                "to": "synthetic-example",
                "fromDate": "synthetic-example",
                "toDate": "synthetic-example",
                "label": "synthetic-example"
            },
            "summary": {
                "rowCount": 0,
                "opportunityRowCount": 0,
                "sourceLocationCount": 0,
                "supplyAssessment": {
                    "label": "synthetic-example",
                    "averagePriceFormatted": "synthetic-example",
                    "confidenceLabel": "synthetic-example",
                    "recommendedListingCount": 0,
                    "activeListingCount": 0,
                    "neededListingCount": 0,
                    "averagePriceCents": 0,
                    "recentViewCount": 0,
                    "showByDefault": false,
                    "status": "room_for_supply",
                    "tone": "neutral",
                    "confidence": "high",
                    "reasonCodes": [],
                    "reasonLabels": [],
                    "priceFormatted": "synthetic-example",
                    "priceConfidenceLabel": "synthetic-example",
                    "priceBasisLabel": "synthetic-example",
                    "priceCents": 0,
                    "isEstimatedPrice": false,
                    "priceConfidence": "high",
                    "priceBasis": "direct_market"
                }
            },
            "rows": [],
            "sourceLocationIDs": []
        },
        "location": {
            "locationAlias": "synthetic-example",
            "locationName": "synthetic-example",
            "marketLine": "synthetic-example",
            "categoryName": "synthetic-example",
            "locationID": 0,
            "categoryID": 0,
            "sourceLocations": [],
            "sourceMode": "likeness"
        },
        "timeframe": {
            "key": "30d",
            "days": 1,
            "from": "synthetic-example",
            "to": "synthetic-example",
            "fromDate": "synthetic-example",
            "toDate": "synthetic-example",
            "label": "synthetic-example"
        },
        "summary": {
            "rowCount": 0,
            "opportunityRowCount": 0,
            "sourceLocationCount": 0,
            "supplyAssessment": {
                "label": "synthetic-example",
                "averagePriceFormatted": "synthetic-example",
                "confidenceLabel": "synthetic-example",
                "recommendedListingCount": 0,
                "activeListingCount": 0,
                "neededListingCount": 0,
                "averagePriceCents": 0,
                "recentViewCount": 0,
                "showByDefault": false,
                "status": "room_for_supply",
                "tone": "neutral",
                "confidence": "high",
                "reasonCodes": [],
                "reasonLabels": [],
                "priceFormatted": "synthetic-example",
                "priceConfidenceLabel": "synthetic-example",
                "priceBasisLabel": "synthetic-example",
                "priceCents": 0,
                "isEstimatedPrice": false,
                "priceConfidence": "high",
                "priceBasis": "direct_market"
            }
        },
        "rows": []
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/partner/get_location_likeness_group

#
Get saved similar restaurants and suggested related restaurants for a managed venue forecast.

パラメーター

名前型必須既定値説明
locationID int はい — Location ID to inspect.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/partner/get_location_likeness_group' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$partner_get_location_likeness_group_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.LocationIDinteger はい
$.oneOf[0].allOf[1].Payload.Schemaobject はい
$.oneOf[0].allOf[1].Payload.Schema.readyboolean はい
$.oneOf[0].allOf[1].Payload.Schema.missingTablesarray はい
$.oneOf[0].allOf[1].Payload.Schema.missingTables[]string いいえ
$.oneOf[0].allOf[1].Payload.SelectedOptionsarray はい
$.oneOf[0].allOf[1].Payload.SelectedOptions[]object いいえ
$.oneOf[0].allOf[1].Payload.SelectedOptions[].valuestring はい
$.oneOf[0].allOf[1].Payload.SelectedOptions[].labelstring はい
$.oneOf[0].allOf[1].Payload.SelectedOptions[].subtitlestring はい
$.oneOf[0].allOf[1].Payload.SelectedOptions[].keywordsstring はい
$.oneOf[0].allOf[1].Payload.SelectedOptions[].aliasstring はい
$.oneOf[0].allOf[1].Payload.SelectedOptions[].namestring はい
$.oneOf[0].allOf[1].Payload.SelectedOptions[].cityLinestring はい
$.oneOf[0].allOf[1].Payload.SelectedOptions[].categoryNamestring はい
$.oneOf[0].allOf[1].Payload.SelectedOptions[].sourcestring はい
$.oneOf[0].allOf[1].Payload.SelectedOptions[].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.SelectedOptions[].relationshipCountinteger はい
$.oneOf[0].allOf[1].Payload.SelectedLocationIDsarray はい
$.oneOf[0].allOf[1].Payload.SelectedLocationIDs[]integer いいえ
$.oneOf[0].allOf[1].Payload.SelectedAliasesarray はい
$.oneOf[0].allOf[1].Payload.SelectedAliases[]string いいえ
$.oneOf[0].allOf[1].Payload.SuggestedOptionsarray はい
$.oneOf[0].allOf[1].Payload.SuggestedOptions[]object いいえ
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].valuestring はい
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].labelstring はい
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].subtitlestring はい
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].keywordsstring はい
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].aliasstring はい
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].namestring はい
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].cityLinestring はい
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].categoryNamestring はい
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].sourcestring はい
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].relationshipCountinteger はい
$.oneOf[0].allOf[1].Payload.CanEditboolean はい
$.oneOf[0].allOf[1].Payload.CanBulkAvailabilityboolean はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_likeness_group",
    "RequestUserAlias": "example-user",
    "Payload": {
        "LocationID": 0,
        "Schema": {
            "ready": false,
            "missingTables": []
        },
        "SelectedOptions": [],
        "SelectedLocationIDs": [],
        "SelectedAliases": [],
        "SuggestedOptions": [],
        "CanEdit": false,
        "CanBulkAvailability": false
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/partner/get_location_likeness_options

#
Search restaurants that can be added to a managed venue's similarity group.

パラメーター

名前型必須既定値説明
locationID int はい — Target location ID.
q string いいえ "" Search query.
pageSize int いいえ 15 Maximum options to return.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/partner/get_location_likeness_options' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}' \
  --data-urlencode 'q={{q}}' \
  --data-urlencode 'pageSize={{pageSize}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$partner_get_location_likeness_options_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.optionsarray はい
$.oneOf[0].allOf[1].Payload.options[]object いいえ
$.oneOf[0].allOf[1].Payload.options[].valuestring はい
$.oneOf[0].allOf[1].Payload.options[].labelstring はい
$.oneOf[0].allOf[1].Payload.options[].subtitlestring はい
$.oneOf[0].allOf[1].Payload.options[].keywordsstring はい
$.oneOf[0].allOf[1].Payload.options[].aliasstring はい
$.oneOf[0].allOf[1].Payload.options[].namestring はい
$.oneOf[0].allOf[1].Payload.options[].cityLinestring はい
$.oneOf[0].allOf[1].Payload.options[].categoryNamestring はい
$.oneOf[0].allOf[1].Payload.options[].sourcestring はい
$.oneOf[0].allOf[1].Payload.options[].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.options[].relationshipCountinteger はい
$.oneOf[0].allOf[1].Payload.pageSizeinteger はい
$.oneOf[0].allOf[1].Payload.querystring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_likeness_options",
    "RequestUserAlias": "example-user",
    "Payload": {
        "options": [],
        "pageSize": 1,
        "query": "synthetic-example"
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/partner/get_location_livestream

#
Get the featured livestream post for a managed venue.

パラメーター

名前型必須既定値説明
locationID int はい — Location ID to inspect.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/partner/get_location_livestream' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$partner_get_location_livestream_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.Featured はい
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].postTitlestring はい
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].postURLstring はい
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].goLiveURLstring はい
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].liveStreamStartDatestring はい
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].boardNamestring はい
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].featuredLivestreamLinkIDinteger はい
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].postIDinteger はい
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].postAuthorUserIDinteger はい
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].isLiveboolean はい
$.oneOf[0].allOf[1].Payload.Featured.anyOf[1]array はい
$.oneOf[0].allOf[1].Payload.Schemaobject はい
$.oneOf[0].allOf[1].Payload.Schema.readyboolean はい
$.oneOf[0].allOf[1].Payload.Schema.missingTablesarray はい
$.oneOf[0].allOf[1].Payload.Schema.missingTables[]string いいえ
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_livestream",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Featured": {
            "postTitle": "synthetic-example",
            "postURL": "synthetic-example",
            "goLiveURL": "synthetic-example",
            "liveStreamStartDate": "synthetic-example",
            "boardName": "synthetic-example",
            "featuredLivestreamLinkID": 0,
            "locationID": 0,
            "postID": 0,
            "postAuthorUserID": 0,
            "isLive": false
        },
        "Schema": {
            "ready": false,
            "missingTables": []
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/partner/get_locations

#
Get the venue locations this user personally manages through partner team roles or legacy location-user grants, plus their pending venue management applications. Global administrator access alone does not add locations.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/partner/get_locations' \
  --data-urlencode 'key={{API_KEY}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$partner_get_locations_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.schemaobject はい
$.oneOf[0].allOf[1].Payload.schema.readyboolean はい
$.oneOf[0].allOf[1].Payload.schema.missingTablesarray はい
$.oneOf[0].allOf[1].Payload.schema.missingTables[]string いいえ
$.oneOf[0].allOf[1].Payload.locationsarray はい
$.oneOf[0].allOf[1].Payload.locations[]object いいえ
$.oneOf[0].allOf[1].Payload.locations[].namestring はい
$.oneOf[0].allOf[1].Payload.locations[].aliasstring はい
$.oneOf[0].allOf[1].Payload.locations[].cityLinestring はい
$.oneOf[0].allOf[1].Payload.locations[].partnerAccountNamestring はい
$.oneOf[0].allOf[1].Payload.locations[].rolestring はい
$.oneOf[0].allOf[1].Payload.locations[].sourcestring はい
$.oneOf[0].allOf[1].Payload.locations[].managementURLstring はい
$.oneOf[0].allOf[1].Payload.locations[].profileURLstring はい
$.oneOf[0].allOf[1].Payload.locations[].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.locations[].partnerAccountID はい
$.oneOf[0].allOf[1].Payload.locations[].partnerAccountID.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.locations[].partnerAccountID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.pendingRequestsarray はい
$.oneOf[0].allOf[1].Payload.pendingRequests[]object いいえ
$.oneOf[0].allOf[1].Payload.pendingRequests[].namestring はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].aliasstring はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].cityLinestring はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].statusstring はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].createdDatestring はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].chatURLstring はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].managementURLstring はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].profileURLstring はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].requestIDinteger はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].locationIDinteger はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].chatIDinteger はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationStatusstring はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationChatIDinteger はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationChatURLstring はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationUnreadCount はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationUnreadCount.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationUnreadCount.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].sidebarStatus はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].sidebarStatus.anyOf[0]string ["answer-required","pending"] はい
$.oneOf[0].allOf[1].Payload.pendingRequests[].sidebarStatus.anyOf[1]null はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_locations",
    "RequestUserAlias": "example-user",
    "Payload": {
        "schema": {
            "ready": false,
            "missingTables": []
        },
        "locations": [],
        "pendingRequests": []
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/partner/get_opening_hours

#
Get weekly recurring opening-hour windows for a venue the current user may edit.

パラメーター

名前型必須既定値説明
locationID int はい — Location ID to inspect.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/partner/get_opening_hours' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$partner_get_opening_hours_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.OpeningHoursobject はい
$.oneOf[0].allOf[1].Payload.OpeningHours.schemaobject はい
$.oneOf[0].allOf[1].Payload.OpeningHours.schema.readyboolean はい
$.oneOf[0].allOf[1].Payload.OpeningHours.schema.missingTablesarray はい
$.oneOf[0].allOf[1].Payload.OpeningHours.schema.missingTables[]string いいえ
$.oneOf[0].allOf[1].Payload.OpeningHours.sourcestring ["legacy","split"] はい
$.oneOf[0].allOf[1].Payload.OpeningHours.maxWindowsPerDay = 4 はい
$.oneOf[0].allOf[1].Payload.OpeningHours.daysarray はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[]object いいえ
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].keystring はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].labelstring はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].humanReadablestring はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].weekdayinteger はいMonday=0 through Sunday=6.
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].openTimeinteger はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].closeTimeinteger はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].closedboolean はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windowsarray はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[]object いいえTimes are integer HHMM; close <= open means the following day.
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].openTimeInputstring はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].closeTimeInputstring はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].labelstring はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].idinteger はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].openTimeinteger はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].closeTimeinteger はい
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].overnightboolean はい
$.oneOf[0].allOf[1].Payload.OpeningHours.CanEdit = true はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_opening_hours",
    "RequestUserAlias": "example-user",
    "Payload": {
        "OpeningHours": {
            "schema": {
                "ready": false,
                "missingTables": []
            },
            "source": "legacy",
            "maxWindowsPerDay": 4,
            "days": [
                {
                    "weekday": 0,
                    "key": "monday",
                    "label": "Monday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 1,
                    "key": "tuesday",
                    "label": "Tuesday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 2,
                    "key": "wednesday",
                    "label": "Wednesday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 3,
                    "key": "thursday",
                    "label": "Thursday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 4,
                    "key": "friday",
                    "label": "Friday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 5,
                    "key": "saturday",
                    "label": "Saturday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 6,
                    "key": "sunday",
                    "label": "Sunday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                }
            ],
            "CanEdit": true
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/partner/get_team

#
Get active team members, pending invites, and recent partner audit events for a managed venue.

パラメーター

名前型必須既定値説明
locationID int はい — Location ID to inspect.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/partner/get_team' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$partner_get_team_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.Teamobject はい
$.oneOf[0].allOf[1].Payload.Team.partnerAccountIDinteger いいえ
$.oneOf[0].allOf[1].Payload.Team.membersarray はい
$.oneOf[0].allOf[1].Payload.Team.members[]object いいえ
$.oneOf[0].allOf[1].Payload.Team.members[].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.members[].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Team.members[].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Team.members[].ATUser_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.members[].ATUser_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Team.members[].ATUser_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Team.members[].Rolestring ["Owner","Admin","InventoryManager","HostSupport","Finance","Analyst"] はい
$.oneOf[0].allOf[1].Payload.Team.members[].Status = "Active" はい
$.oneOf[0].allOf[1].Payload.Team.members[].CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.Team.members[].AcceptedDate はい
$.oneOf[0].allOf[1].Payload.Team.members[].AcceptedDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Team.members[].AcceptedDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Team.members[].Aliasstring はい
$.oneOf[0].allOf[1].Payload.Team.members[].Email はい
$.oneOf[0].allOf[1].Payload.Team.members[].Email.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Team.members[].Email.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Team.members[].Avatarstring はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].actorUserIDinteger はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].targetUserIDinteger はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].isBlockedboolean はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].blockedDate はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].blockedDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].blockedDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].isMutedboolean はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].mutedDate はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].mutedDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].mutedDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].reasonstring はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].personalNotestring はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[1]object はい
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[1].personalNote = "" はい
$.oneOf[0].allOf[1].Payload.Team.invitesarray はい
$.oneOf[0].allOf[1].Payload.Team.invites[]object いいえ
$.oneOf[0].allOf[1].Payload.Team.invites[].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.invites[].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Team.invites[].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Team.invites[].InviteTokenstring はいSynthetic placeholder in documentation; runtime value is a private team invitation token.
$.oneOf[0].allOf[1].Payload.Team.invites[].Rolestring ["Owner","Admin","InventoryManager","HostSupport","Finance","Analyst"] はい
$.oneOf[0].allOf[1].Payload.Team.invites[].InviteEmail はい
$.oneOf[0].allOf[1].Payload.Team.invites[].InviteEmail.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Team.invites[].InviteEmail.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Team.invites[].Statusstring ["Pending","Accepted","Revoked","Expired"] はい
$.oneOf[0].allOf[1].Payload.Team.invites[].CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedDate はい
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Team.invites[].ExpiresDate はい
$.oneOf[0].allOf[1].Payload.Team.invites[].ExpiresDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Team.invites[].ExpiresDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Team.invites[].CreatedBy-ATUser_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.invites[].CreatedBy-ATUser_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Team.invites[].CreatedBy-ATUser_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Team.auditarray はい
$.oneOf[0].allOf[1].Payload.Team.audit[]object いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Team.audit[].CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.Team.audit[].Actionstring はい
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0]string (application/json) はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0]PartnerAuditContext (デコードされたJSON) はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].previousPolicystring ["None","AllowAnyone","CurrentOwnerResellOnly"] いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].policystring ["AllowAnyone","CurrentOwnerResellOnly"] いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].requestIDDatabaseInteger いいえInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].requestID.oneOf[0]integer いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].requestID.oneOf[1]string いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].locationIDsarray いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].locationIDs[]integer いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].countinteger いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].dayCountinteger いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].windowCountinteger いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].reasonstring いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].alreadyDeletedboolean いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummaryobject いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummary.penaltyCountinteger はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummary.existingPenaltyCountinteger はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummary.pointsAmountinteger はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummary.currencyAmountinteger はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inventoryTypeIDinteger いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].postIDinteger いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].createdPostboolean いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].rowCountinteger いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].createdCountinteger いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].errorCountinteger いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].appointmentIDsarray いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].appointmentIDs[]integer いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].rolestring ["Owner","Admin","InventoryManager","HostSupport","Finance","Analyst"] いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID.anyOf[0]DatabaseInteger いいえInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID.anyOf[0].oneOf[0]integer いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID.anyOf[0].oneOf[1]string いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID.anyOf[1]boolean いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].emailstring いいえ
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[1]array はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ActorAlias はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ActorAlias.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Team.audit[].ActorAlias.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Team.audit[].TargetAlias はい
$.oneOf[0].allOf[1].Payload.Team.audit[].TargetAlias.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Team.audit[].TargetAlias.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Schemaobject はい
$.oneOf[0].allOf[1].Payload.Schema.readyboolean はい
$.oneOf[0].allOf[1].Payload.Schema.missingTablesarray はい
$.oneOf[0].allOf[1].Payload.Schema.missingTables[]string いいえ
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_team",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Team": {
            "members": [],
            "invites": [],
            "audit": []
        },
        "Schema": {
            "ready": false,
            "missingTables": []
        }
    }
}
[...]
